from django.db import models
from shiftregister.app.models import Helper


class Feedback(models.Model):
    helper = models.OneToOneField(Helper, primary_key=True, on_delete=models.CASCADE)

    class PartyState(models.TextChoices):
        YES = "yes", "ja"
        NO = "no", "nein"
        MAYBE = "maybe", "vielleicht"

    party = models.CharField(
        max_length=7,
        choices=PartyState.choices,
        blank=False,
    )
    next_year = models.BooleanField()
    feedback_text = models.TextField(blank=True, default="")
