from django.shortcuts import render, get_object_or_404
from .forms import FeedbackForm
from .models import Feedback
from shiftregister.app.models import LoginToken
from django.contrib import messages


def feedback(request, token):
    tk = get_object_or_404(LoginToken, pk=token)
    helper = tk.helper
    form = FeedbackForm()
    prev_data = Feedback.objects.filter(helper=helper).first()
    if prev_data:
        form = FeedbackForm(instance=prev_data)
    if request.method == "POST":
        form = FeedbackForm(request.POST)
        if form.is_valid():
            obj = form.save(commit=False)
            obj.helper = helper
            obj.save()
            messages.add_message(
                request,
                messages.SUCCESS,
                "Deine Angaben wurden gespeichert.",
            )

    return render(
        request,
        "feedback.html",
        {
            "form": form,
            "helper": helper,
        },
    )
